/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include "file_18.h"
#include "file_44.h"
#include "file_11.h"
#include <assert.h>
l_172::l_172(int l_173) {
assert(l_173>0);
p=newint(l_173+1);
size=l_173;
}
l_172::~l_172() {
deleteint(p);
p=NULL;
}
int &l_172::operator [](int i) {
assert( (i>=0)&&(i<=size) );
return(p[i]);
}
